Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr.config
Class CdrConfigDescriptor

    java.lang.Object
      com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
          com.bea.wlcp.wlng.api.edr.config.CdrConfigDescriptor

public class CdrConfigDescriptor
extends ConfigDescriptor

This class contains the description of a particular CDR.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
`CUSTOM_ATTRIBUTE, CUSTOM_ATTRIBUTE_KEY, CUSTOM_ATTRIBUTE_VALUE, PART_DATA, PART_FILTER`

Constructor Summary
`CdrConfigDescriptor()`

Method Summary
`boolean` | `isMatching(EdrData edr)`
`String` | `toString()`

Methods inherited from class com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
`addDataAttribute, addFilterAttribute, addSource, canBeCached, getDataAttribute, getFilterAttributes, getName, getPosition, getSources, setDataAttributes, setName, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CdrConfigDescriptor

    public CdrConfigDescriptor()

Method Detail

### isMatching

    public boolean isMatching(EdrData edr)

  Description copied from class: `ConfigDescriptor`
  Returns true if the EdrData is matching this descriptor, false otherwise.

  Overrides:
    `isMatching` in class `ConfigDescriptor`
  Parameters:
    `edr` - The EdrData object
  Returns:
    true if the EdrData object matches this descriptor

### toString

    public String toString()

  Overrides:
    `toString` in class `ConfigDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD